#ifndef Chair_imu
#define Chair_imu

#include  "mbed.h"
#include  "math.h"
#include  "BNO055.h"

#define PI 3.141593
#define SDA D14
#define SCL D15

class chair_imu
{
public:
  chair_imu();
  chair_imu(PinName sda_pin, PinName scl_pin);
  void setup();
  double accel_x();
  double accel_y();
  double accel_z();
  double gyro_x();
  double gyro_y();
  double gyro_z();
  double angle_north();
  double roll();
  double pitch();
  double yaw();

private:
  BNO055* imu;

};

#endif
